KintsugiKintsugi
API reference / Get attachments for exemption

Get attachments for exemption

GET/v1/exemptions/{exemption_id}/attachments

The Get Attachments for Exemption API retrieves all attachments associated with a specific exemption. This is used to view and manage supporting documents like exemption certificates uploaded for a particular exemption record.

Authorization

x-api-keystringRequired

Your secret API key. Include it with every request.

x-organization-idstringRequired

Identifies the organization this request acts on.

Path parameters

exemption_idstringRequired

The unique identifier for the exemption whose attachments are being retrieved.

Response

related_entity_idstringRequired

The unique identifier of the exemption associated with the attachment.

related_entity_typeRelatedEntityTypeRequired

The type of entity associated with the attachment. In this case, it will always be EXEMPTION, REGISTRATION ,FILING, FILING_PAYMENT.

Available options:EXEMPTIONREGISTRATIONFILINGFILING_PAYMENT
idstringRequired

The unique identifier of the uploaded attachment (attachment ID).

200

Successfully retrieved attachments for exemption

401

The request is missing a valid x-api-key or x-organization-id

422

Validation issues, such as missing required fields or invalid field values.

cURL
GET /v1/exemptions/{exemption_id}/attachments
-H "x-api-key: ***"
-H "x-organization-id: ***"
Example request
https://api.trykintsugi.com/v1/exemptions/{exemption_id}/attachments
Response
[
{
"related_entity_id": "exmp_JqrwqvonUzdXs",
"related_entity_type": "EXEMPTION",
"id": "atch_7qPLke8KvSCnX"
},
{
"related_entity_id": "exmp_JqrwqvonUzdXs",
"related_entity_type": "EXEMPTION",
"id": "atch_qAVqXdCavmtm3"
}
]